# $Revision: 1.52 $, $Date: 2010/10/08 09:21:46 $
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		rel	6
%define		pname	igb
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Name:		%{pname}%{_alt_kernel}
Version:	2.3.4
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	b0ea2a70198746b69392ef935b61454a
URL:		http://sourceforge.net/projects/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
adapters with 82575EB/GB or 82576 chipsets.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) PRO/1000 opartych o układy 82575EB/GB lub 82576.

%package -n kernel%{_alt_kernel}-net-igb
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-igb
This package contains the Linux driver for the Intel(R) PRO/1000
adapters with 82575EB/GB or 82576 chipsets.

%description -n kernel%{_alt_kernel}-net-igb -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) PRO/1000 opartych o układy 82575EB/GB lub 82576.

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := igb.o
igb-objs := igb_main.o e1000_82575.o e1000_mac.o e1000_nvm.o e1000_phy.o \
e1000_manage.o igb_param.o igb_ethtool.o kcompat.o e1000_api.o e1000_mbx.o

EXTRA_CFLAGS=-DDRIVER_IGB
EOF

# Large Receive Offload - Do Not Use LRO When Routing Packets
# CFLAGS_EXTRA=-DIGB_LRO

%build
%build_kernel_modules -C src -m %{pname}

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current
# blacklist kernel module
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'
blacklist igb
alias igb igb-current
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-igb
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-igb
%depmod %{_kernel_ver}

%files	-n kernel%{_alt_kernel}-net-igb
%defattr(644,root,root,755)
%doc igb.7 README
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: igb.spec,v $
Revision 1.52  2010/10/08 09:21:46  hawk
- release 6

Revision 1.51  2010/08/19 18:47:19  gotar
- upgraded to 2.3.4

Revision 1.50  2010/07/06 12:32:12  shadzik
- rel up

Revision 1.49  2010/07/05 20:23:23  shadzik
- rel up

Revision 1.48  2010/07/01 22:40:35  shadzik
- rel 3

Revision 1.47  2010/06/02 21:16:40  hawk
- release 2

Revision 1.46  2010/05/04 19:36:40  hawk
- updated to 2.2.9

Revision 1.45  2010/04/16 11:47:29  hawk
- release 4

Revision 1.44  2010/04/11 14:35:27  shadzik
- rel 3

Revision 1.43  2010/03/30 06:41:04  hawk
- release 2

Revision 1.42  2010/02/25 10:38:58  hawk
- updated to 2.1.9

Revision 1.41  2009/12/30 13:55:25  hawk
- release 2

Revision 1.40  2009/10/24 11:11:59  hawk
- updated to 2.0.6

Revision 1.39  2009/10/16 19:48:42  hawk
- updated to 1.3.28.5

Revision 1.38  2009/09/24 22:47:48  hawk
- release 4

Revision 1.37  2009/09/17 18:59:31  hawk
- release 3

Revision 1.36  2009/08/18 12:19:55  hawk
- release 2

Revision 1.35  2009/08/02 11:16:32  hawk
- updated to 1.3.28.4

Revision 1.34  2009/07/12 17:43:42  hawk
- release 3

Revision 1.33  2009/06/20 17:20:15  hawk
- updated Makefile

Revision 1.32  2009/06/20 17:02:38  hawk
- release 2

Revision 1.31  2009/04/22 21:09:49  hawk
- updated to 1.3.19.3

Revision 1.30  2009/03/17 14:51:32  hawk
- release 15

Revision 1.29  2009/02/24 23:09:47  hawk
- release 14

Revision 1.28  2009/02/17 23:49:19  hawk
- release 12

Revision 1.27  2009/02/13 12:59:56  hawk
- release 11

Revision 1.26  2009/02/07 22:34:52  hawk
- release 10

Revision 1.25  2009/02/04 23:28:30  hawk
- release 9

Revision 1.24  2009/01/16 09:04:09  hawk
- release 8

Revision 1.23  2008/12/20 14:42:09  hawk
- release 7

Revision 1.22  2008/12/16 09:14:01  hawk
- release 6

Revision 1.21  2008/12/11 20:00:36  gotar
- more specific chipset enumeration

Revision 1.20  2008/12/06 12:27:35  hawk
- release 5

Revision 1.19  2008/11/23 14:15:56  hawk
- release 4

Revision 1.18  2008/11/15 11:28:49  hawk
- release 3

Revision 1.17  2008/11/13 10:06:15  hawk
- release 2

Revision 1.16  2008/10/25 13:49:08  hawk
- updated to 1.3.8.6

Revision 1.15  2008/10/09 13:22:42  hawk
- release 4

Revision 1.14  2008/09/09 08:59:16  hawk
- release 2

Revision 1.13  2008/09/03 09:41:25  hawk
- updated to 1.2.44.9

Revision 1.12  2008/08/06 20:19:54  hawk
- release 7

Revision 1.11  2008/08/04 20:21:33  hawk
- release 6

Revision 1.10  2008/07/29 10:38:04  hawk
- relup.sh gone nut, release should be 5

Revision 1.9  2008/07/29 10:31:42  hawk
- release 7

Revision 1.8  2008/07/28 08:31:38  hawk
- release 4

Revision 1.7  2008/07/22 13:24:47  hawk
- release 3

Revision 1.6  2008/06/25 16:07:38  hawk
- release 2

Revision 1.5  2008/06/23 19:14:24  hawk
- updated to 1.2.44.3

Revision 1.4  2008/06/08 16:43:27  hawk
- release 3

Revision 1.3  2008-05-24 10:07:36  hawk
- release 2

Revision 1.2  2008-05-23 08:11:58  hawk
- adapterized

Revision 1.1  2008-05-05 15:52:01  hawk
- kernel driver for Intel(R) Pro 1000 adapters based on 82575 chipset
